# WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

## Get account for project

 - [GET /v1/projects/{projectId}/whatsapp](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/whatsapp-accounts/accountscontroller_getaccount_v1.md): Returns an account for a project.

## Create account for project

 - [POST /v1/projects/{projectId}/whatsapp](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/whatsapp-accounts/accountscontroller_createaccount_v1.md): Create the WhatsApp account for the project. Each project can only have one account.

## Delete account for project

 - [DELETE /v1/projects/{projectId}/whatsapp](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/whatsapp-accounts/accountscontroller_deleteaccount_v1.md): Deletes the account for a project.

    Deleting an account is only possible if there is no sender assigned to the account.

## Update account for project

 - [PATCH /v1/projects/{projectId}/whatsapp](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/whatsapp-accounts/accountscontroller_updateaccount_v1.md): Update an account. 

    It is only possible to update an account that has been rejected. After update the status will be set to IN_PROGRESS.

## Lists activities on account

 - [GET /v1/projects/{projectId}/whatsapp/activities](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/whatsapp-accounts/accountscontroller_listactivities_v1.md): Lists activities on account from the most recent one to the oldest one.

## Creates a comment for an account

 - [POST /v1/projects/{projectId}/whatsapp/comments](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/whatsapp-accounts/accountscontroller_createcomment_v1.md): Creates a comment for an account.

